Subject: Re: "Running Guix in a Virtual Machine" documentation unclear/incomplete/wrong

From: zamfofex <[email-masked]>
Date: Tue, 6 Dec 2022 09:11:38 -0300 (BRT)

Hello! As far as I understand, the QEMU image is not meant to be used for installing Guix System, but rather just trying it out.

You should instead use the “GNU Guix Sytem on Linux” image from <https://guix.gnu.org/download/latest/>

Here are some quick steps to get started:

- - - - -
% wget -Oguix.iso https://ci.guix.gnu.org/search/latest/ISO-9660?query=spec:images+status:success+system:x86_64-linux+image.iso

% qemu-img create -f qcow2 guix.qcow2 500G

% qemu-system-x86_64 -enable-kvm -m 2G -nic user -cdrom guix.iso guix.qcow2
- - - - -

You can then proceed with the installation using the pseudo‐graphical installer, then later use the installed system by using:

- - - - -
% qemu-system-x86_64 -enable-kvm -m 2G -nic user guix.qcow2
- - - - -

Here is a short video I have coincidentally recorded another day: <https://zamfofex.neocities.org/temporary/guix.mp4> (Though I might remove it at some point.)

Here is an even shorter video showing basically the same thing, but that is likely more permanent: <https://guix.gnu.org/videos/2020/system-graphical-installer/>